UberStudent Forums

Help and Community for Users of Uberstudent
Return to UberStudent Home Page
It is currently Sun Dec 17, 2017 9:18 pm

All times are UTC




UberStudent Logo Shirt
Hey! You can wear this UberCool UberStudent Logo Shirt

Post new topic Reply to topic  [ 6 posts ] 
Author Message
 Post subject: Update error
PostPosted: Fri Nov 28, 2014 7:29 am 
Offline
New UberStudent User

Joined: Wed Nov 26, 2014 7:25 am
Posts: 6
I am trying to update my system and I always get the error below, I rebooted many times. I clicked on the blue icon on the top right and when I click update on the pop up window I always get the error.
I read the previous solutions but is not working.

E: The value 'socrates' is invalid for APT::Default-Release as such a release is not available in the sources
E: _cache->open() failed, please report.

Thank you.


Top
 Profile  
 

Get an UberCool UberStudent Shirt!

UberStudent Logo Shirt
UberStudent Logo Shirt by uberstudent
See other Uberstudent T-Shirts
 Post subject: Re: Update error
PostPosted: Fri Nov 28, 2014 5:00 pm 
Offline
UberStudent Founder and Lead Developer
User avatar

Joined: Sun Nov 11, 2012 8:54 am
Posts: 952
Location: UberStudent Headquarters
Open a terminal (hit F12) and type in an run the following lines:

Code:
sudo rm /etc/apt/apt.conf.d/10uberstudent

Code:
sudo apt-get update


And then run the Update Manager from top-right panel.

_________________
UberStudent Must Become Self-Sustaining. If UberStudent and my dedicated support of it has benefited you, it's important to make a donation. Thanks!

The UberStudent Headquarters:
    * Mobo: MSI 870-G45
    * Processor: AMD Phenom II X4 3.4GHz
    * RAM: G.SKILL 8GB DDR3 1600
    * Graphics: MSI NVIDIA GeForce GTX 750 Ti
    * Drive: OCZ Vertex SSD
    * Case: Rosewill ATX Mid Tower
    * Monitors: 2 x Dell UltraSharp
    * With UberStudent 4.3 Development Build
You should build your own computers, too!


Top
 Profile  
 
 Post subject: Re: Update error
PostPosted: Fri Nov 28, 2014 6:24 pm 
Offline
New UberStudent User

Joined: Wed Nov 26, 2014 7:25 am
Posts: 6
I do not have that file, this is what I have in that Directory.

uber@uber-ThinkPad-T520:/etc/apt/apt.conf.d$ ls
00aptitude 01autoremove-kernels 20archive 50unattended-upgrades 99progressbar
00trustcdrom 10periodic 20changelog 70debconf 99synaptic
01autoremove 15update-stamp 20dbus 80confnew 99update-notifier
uber@uber-ThinkPad-T520:/etc/apt/apt.conf.d$

Thank you.


Top
 Profile  
 
 Post subject: Re: Update error
PostPosted: Fri Nov 28, 2014 9:31 pm 
Offline
UberStudent Founder and Lead Developer
User avatar

Joined: Sun Nov 11, 2012 8:54 am
Posts: 952
Location: UberStudent Headquarters
Try running this:

Code:
sudo cp /root/.synaptic/synaptic.conf /root/.synaptic/synaptic.conf.bak
sudo rm /root/.synaptic/synaptic.conf

_________________
UberStudent Must Become Self-Sustaining. If UberStudent and my dedicated support of it has benefited you, it's important to make a donation. Thanks!

The UberStudent Headquarters:
    * Mobo: MSI 870-G45
    * Processor: AMD Phenom II X4 3.4GHz
    * RAM: G.SKILL 8GB DDR3 1600
    * Graphics: MSI NVIDIA GeForce GTX 750 Ti
    * Drive: OCZ Vertex SSD
    * Case: Rosewill ATX Mid Tower
    * Monitors: 2 x Dell UltraSharp
    * With UberStudent 4.3 Development Build
You should build your own computers, too!


Top
 Profile  
 
 Post subject: Re: Update error
PostPosted: Sat Nov 29, 2014 3:15 am 
Offline
New UberStudent User

Joined: Wed Nov 26, 2014 7:25 am
Posts: 6
Thank you for the quick reply, I applied the changes you suggested and I still got an error, I edited the software sources and clicked "Restore default settings" tried again and all the patches installed fine, the "Update Manager" icon is now green.

Thank you,
Oscar


Top
 Profile  
 
 Post subject: Re: Update error
PostPosted: Wed Dec 17, 2014 10:34 am 
Offline
New UberStudent User

Joined: Tue Dec 04, 2012 4:33 pm
Posts: 5
I had the identical issue, and followed the suggestions with the same results, except: I think that the final solution was not found by clicking the reset factorydefaults button, but by checking a little box to the left of that button, that said something like enable source code repositories, then an update button on the same page. After this it downloaded ┬┤stuff┬┤, and after that when I went to the update manager ( which had been giving the error message), it now downloaded updates normally.


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 6 posts ] 

Click Here to Get Inexpensive UberStudent Discs


Click here to get UberStudent discs delivered to your mailbox
Delivered Directly to Your Mailbox!



All times are UTC


Who is online

Users browsing this forum: Bing [Bot] and 3 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group